*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}   
.gallery{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(400px, 1fr));
    min-height: 100vh;
    grid-gap: 2rem;
}
.img-container{
    overflow: hidden;
}
.img-container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all .3s ease-out;
    cursor: pointer;
}
.img-container img:hover{
    transform: scale(1.2);
}
.modal{
    background: rgba(0, 0, 0, .8);
    /* opacity: ; */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0;
    pointer-events: none;
    transition: .25s ease-out;
}
.modal.open{
    opacity: 1;
    pointer-events: all;
}
.full-img{
    position: absolute;
    height: 70%;
    top: 50%;
    left: 50%;
    /* to perfectly center the image on the page */
    transform: translate(-50%, -50%) scale(.5);
    transition: all .25s ease-out;
}
.full-img.open{
    transform: translate(-50%, -50%) scale(1);
}
.modal p{
    /* color: white; */
    color: #efd9d1;
    font-family: 'Cormorant Garamond', serif;
    font-weight: 400;
    font-size: clamp(1.5rem, 75%, 2.5rem);
    position: absolute;
    bottom: 5%;
    left: 50%;
    /* to perfectly center the text on the page */
    transform: translate(-50%, -5%);
}
